Subject: Re: bug#55654: 28.1.50; HEAP Error with ImageMagick on Windows MSYS2

From: Fabio Leimgruber <[email-masked]>
Date: Fri, 10 Jun 2022 12:52:55 +0200

Eli Zaretskii <[email-masked]> writes:

> So this sounds like it's a bug in ImageMagick?

Yes, I guess so.

> Any chance to verify this with ImageMagick developers or the MSYS2
> folks?

I do not have the capacity at the moment to get involved for a
meaningful bug report (including debug symbols) and I personally do not
need Emacs 28.1 working with an older ImageMagick.

> What kind of note would you suggest adding, and how is it relevant to
> MS-Windows and MSYS2?

The note would be about version compatibility of Emacs 28.1 with
ImageMagick on MS-Windows and MSYS2 if the --with-imagemagick option is
used, i.e. minimal ImageMagick version known to work is 7.1.0.35 in that
environment.  Just an idea, and also depending on whether the
--with-imagemagick option will be dropped altogether at some point.